Stellaris

Stellaris

46 ratings
Protoss Fungoid Ships
 
Rate  
Favorite
Favorited
Unfavorite
File Size
Posted
Updated
11.426 MB
Jan 6, 2017 @ 5:01am
Feb 15, 2017 @ 8:28pm
2 Change Notes ( view )

Subscribe to download
Protoss Fungoid Ships

Subscribed
Unsubscribe
Description
Howdy great peeps,

Changelog - 16 February, 2017:
----------------------------------------------
Ships & stations now have blue light/particle effects.
Science ship scan cone color is now blue.
Added mod support for: NSC, RS & ISB.
----------------------------------------------

A friend made a Protoss ship mod for me a while back, but I wasn't truly happy with the result,
since the hulls had a greenish tint, many lights were green instead of blue & so on.

So I learned myself how to use Photoshop & GIMP, so I could remake them from scratch myself.
Needless to say, the ships look a lot better now & far more "Protoss-like", after much work.

This does NOT overwrite the standard Fungoid ships, but adds a new ship set.

Downscaled Ships Version:
http://steamcommunity.com/sharedfiles/filedetails/?id=835956891

The Original Mod:
http://steamcommunity.com/sharedfiles/filedetails/?id=805142963

Kind regards & enjoy,
Dukhat

Have a look at my other Stellaris mods:
http://steamcommunity.com/id/Dukhat/myworkshopfiles/?appid=281990

If you have any questions, comments or requests, place them in the comment section.
< >
24 Comments
DracoMcGee May 16, 2018 @ 1:00pm 
Hey dude, any chance on you updating this? it works for the most part, just not with the flagship anymore, and theres a new ship. I tried going in and messing with stuff but cant figure out how to open up the files to mess with things, or even what programs to use to be honest.

Id even take a rough idea of what i need to edit the stuff >.<
Mizati Feb 6, 2018 @ 9:19pm 
Yes, this is still working, however, if you please add a habitat model, it would be apreciated
Sevric Jan 21, 2018 @ 8:05am 
Still is working fine , i just teseted it and with nsc.
xnadu27 Jan 17, 2018 @ 3:32pm 
Is this compatible with 1.9?
xmandan Nov 22, 2017 @ 5:58pm 
Working?
DracoMcGee Oct 18, 2017 @ 6:38am 
Is this still working with 1.8.2?
akeean Sep 23, 2017 @ 2:55am 
@Dukhat Bandit Xaviera likely meant the "outdated mod enabled" pop-up warning in the launcher before starting the game, since the game version is now higher than the mod compatibility.

Does it actually still work with Stellaris (1.8)?

With 1.6 some of their textures have been changed to allow ships to be colored by empire colors... Might be worth updating the description with a "last tested working" Stellaris version number.
👌 Dukhat  [author] Apr 18, 2017 @ 10:15am 
The date pop-ups?
Silver Apr 18, 2017 @ 8:55am 
know it works currently with version but could you still update it to get rid of these annoying out of date pop ups? ( love the reskin btw )
TheNyxor Apr 10, 2017 @ 10:24pm 
Heh. Sorry about that, I usually do read the descriptions... Cool that. Thanks xD